CREATE TABLE gtg_entitlement_sd_b (
    ID                       NUMBER(18, 0) ,
    REFERENCE_CODE           VARCHAR2(1600),
    REFERENCE_NAME           VARCHAR2(1600),
    SOURCE_NAME              VARCHAR2(1600),
    SOURCE_CODE              VARCHAR2(1600),
    STATUS                   VARCHAR2(400)     NOT NULL,
    BUSINESS_PROCESS_CODE    VARCHAR2(1600),
    BUSINESS_PROCESS_NAME    VARCHAR2(1600),
    COMMENTS                 VARCHAR2(4000),
    FLEX_FIELD               VARCHAR2(4000),
    MISC_DATA1               VARCHAR2(4000),
    MISC_DATA2               VARCHAR2(4000),
    MISC_DATA3               VARCHAR2(4000),
    MISC_DATA4               VARCHAR2(4000),
    MISC_DATA5               VARCHAR2(4000),
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ID                       NUMBER(18, 0) ,
    REFERENCE_CODE           VARCHAR2(1600),
    REFERENCE_NAME           VARCHAR2(1600),
    STATUS                   VARCHAR2(400)     NOT NULL,
    BUSINESS_PROCESS_CODE    VARCHAR2(1600),
    BUSINESS_PROCESS_NAME    VARCHAR2(1600),
    COMMENTS                 VARCHAR2(4000),
    FLEX_FIELD               VARCHAR2(4000),
    MISC_DATA1               VARCHAR2(4000),
    MISC_DATA2               VARCHAR2(4000),
    MISC_DATA3               VARCHAR2(4000),
    MISC_DATA4               VARCHAR2(4000),
    MISC_DATA5               VARCHAR2(4000),
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SOURCE_NAME              VARCHAR2(1600),
    SOURCE_CODE              VARCHAR2(1600),
    CONSTRAINT pk_gtg_entitlement_sd_b PRIMARY KEY (ID, ID)
);
